#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 blaze-builder
version:              0.4.2.3
visibility:           public
id:                   blaze-builder-0.4.2.3-IRpE7ZzyfsHCnOSP63S5Wh
key:                  blaze-builder-0.4.2.3-IRpE7ZzyfsHCnOSP63S5Wh
license:              BSD-3-Clause
copyright:
    (c) 2010-2014 Simon Meier
    (c) 2010 Jasper Van der Jeugt
    (c) 2013-2015 Leon P Smith

maintainer:           https://github.com/blaze-builder
author:               Jasper Van der Jeugt, Simon Meier, Leon P Smith
stability:            Stable
homepage:             https://github.com/blaze-builder/blaze-builder
synopsis:             Efficient buffered output.
description:
    This library allows to efficiently serialize Haskell values to lazy bytestrings
    with a large average chunk size. The large average chunk size allows to make
    good use of cache prefetching in later processing steps (e.g. compression) and
    reduces the system call overhead when writing the resulting lazy bytestring to a
    file or sending it over the network.

    This library was inspired by the module Data.Binary.Builder provided by the
    binary package. It was originally developed with the specific needs of the
    blaze-html package in mind. Since then it has been restructured to serve as a
    drop-in replacement for Data.Binary.Builder, which it improves upon both in
    speed as well as expressivity.

category:             Data
abi:                  57d28ee899394a6d530a8da3eeda6ffb
exposed:              True
exposed-modules:
    Blaze.ByteString.Builder Blaze.ByteString.Builder.ByteString
    Blaze.ByteString.Builder.Char.Utf8 Blaze.ByteString.Builder.Char8
    Blaze.ByteString.Builder.Compat.Write Blaze.ByteString.Builder.HTTP
    Blaze.ByteString.Builder.Html.Utf8
    Blaze.ByteString.Builder.Html.Word Blaze.ByteString.Builder.Int
    Blaze.ByteString.Builder.Internal.Write
    Blaze.ByteString.Builder.Word

import-dirs:          /usr/lib/ghc-9.8.2/site-local/blaze-builder-0.4.2.3
library-dirs:         /usr/lib/ghc-9.8.2/site-local/blaze-builder-0.4.2.3
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/blaze-builder-0.4.2.3
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/blaze-builder-0.4.2.3
hs-libraries:         HSblaze-builder-0.4.2.3-IRpE7ZzyfsHCnOSP63S5Wh
depends:
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    deepseq-1.5.0.0-inplace ghc-prim-0.11.0-inplace text-2.1.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/blaze-builder-0.4.2.3/html/blaze-builder.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/blaze-builder-0.4.2.3/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

